Gmagick::setimagechanneldepth
Gmagick::setimagecompose
Gmagick
PHP Manual

# Gmagick::setimagecolorspace

(PECL gmagick >= Unknown)

Gmagick::setimagecolorspace — Sets the image colorspace

### Description

public void Gmagick::setimagecolorspace ( int `$colorspace` )

Sets the image colorspace.

### Parameters

`colorspace`

  The image colorspace: UndefinedColorspace, RGBColorspace, GRAYColorspace, TransparentColorspace, OHTAColorspace, XYZColorspace, YCbCrColorspace, YCCColorspace, YIQColorspace, YPbPrColorspace, YPbPrColorspace, YUVColorspace, CMYKColorspace, sRGBColorspace, HSLColorspace, or HWBColorspace.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.

Gmagick::setimagechanneldepth
Gmagick::setimagecompose
Gmagick
PHP Manual